Name:           @PKGNAME@
Version:        @VERSION@
Release:        1%{?dist}
Summary:        ODBC bindings for kno

Group:          System Environment/Libraries
License:        GNU GPL
URL:            http://www.beingmeta.com/
Source0:        @PKGNAME@-@VERSION@.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libu8-devel kno-devel >= @KNO_MAJOR@ kno-devel < @KNO_NEXT@ cmake ninja-build
Requires:       libu8 >= 3.0 kno >= @KNO_MAJOR@ kno < @KNO_NEXT@

%description
This provides API bindings for the NNG networking library

%global debug_package %{nil}

%prep
%setup -q

%build
make %{?_smp_mflags}

%pre

%install
rm -rf $RPM_BUILD_ROOT
make install SUDO= DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/kno/nng.so*
%doc

